# encoding: UTF-8

require 'minitest/autorun'
require 'minitest/reporters'
require 'minitest/spec'
require 'webmock/minitest'
require 'faker'
require 'factory_girl'

MiniTest::Reporters.use! [Minitest::Reporters::SpecReporter.new, MiniTest::Reporters::JUnitReporter.new]
require File.join(File.dirname(__FILE__), '..', 'lib', 'enrichment_db')
FactoryGirl.find_definitions

$should_stub = true
if $should_stub
  WebMock.disable_net_connect!
else
  WebMock.allow_net_connect!
end

def stub_get(path)
  WebMock::API.stub_http_request(:get, request_path(path))
end
