# encoding: utf-8
$:.push File.expand_path('../lib', __FILE__)
require 'pinnacle/version'

Gem::Specification.new do |s|
  s.name        = 'pinnacle'
  s.version     = Pinnacle::VERSION
  s.platform    = Gem::Platform::RUBY
  s.licenses    = ['MIT']
  s.authors     = ['Sam Crouch']
  s.email       = 'crouch6@hotmail.com'
  s.homepage    = 'https://github.com/crouch6/pinnacle'
  s.summary     = 'Pinnacle API gem'
  s.description = 'Access the Pinnacle Sport API.'

  s.add_dependency 'multi_json', '~> 1.3'
  s.add_dependency 'pg'
  s.add_dependency 'pr_geohash'

  s.files = `git ls-files`.split($RS).reject do |file|
    file =~ %r{^(?:
    spec/.*
    |Gemfile
    |Rakefile
    |\.gitignore
    |\.rubocop.yml
    )$}x
  end
  s.test_files    = `git ls-files`.split($RS)
  s.require_paths = ['lib']
end
